#ifndef __track__media_h
#define __track__media_h
#include "core/filesystem.h"
#include <unordered_map>

namespace Track {
namespace Media {

std::filesystem::path GetCurrentPlaying();
std::unordered_map<std::string, std::string> GetFileElements(const std::string& basename);
std::unordered_map<std::string, std::string> GetFileElements(const std::filesystem::path& path);

} // namespace Media
} // namespace Track

#endif // __track__media_h
